import React, { Component } from 'react';
import {
  AppRegistry,
  StyleSheet,
  Text,
  View,
  TouchableOpacity
} from 'react-native';
import RNLotteryPrinter from 'react-native-lottery-printer';
export default class AwesomeProject extends Component {
  render() {
    return (
      <View style={styles.container}>
      <TouchableOpacity onPress={ () => RNLotteryPrinter.thermalOpen( RNLotteryPrinter.SHORT) }>
        <Text style={styles.buttons}>Open Printer Port</Text>
      </TouchableOpacity>

      <TouchableOpacity onPress={ () => RNLotteryPrinter.thermalClose( RNLotteryPrinter.SHORT) }>
        <Text style={styles.buttons}>Close Printer Port</Text>
      </TouchableOpacity>

      <TouchableOpacity onPress={ () => RNLotteryPrinter.thermalFeedPaper( RNLotteryPrinter.SHORT) }>
        <Text style={styles.buttons}>Paper Test</Text>
      </TouchableOpacity>

      <TouchableOpacity onPress={ () => RNLotteryPrinter.printSample( RNLotteryPrinter.SHORT) }>
        <Text style={styles.buttons}>Sample Print</Text>
      </TouchableOpacity>
      </View>
    );
  }
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
    backgroundColor: '#F5FCFF',
  },
  buttons: {
    fontSize: 20,
    textAlign: 'center',
    margin: 10,
    color: "#2a4e6c"
  },
  detail: {
    textAlign: 'center',
    color: '#333333',
    marginBottom: 5,
  },
});

AppRegistry.registerComponent('AwesomeProject', () => AwesomeProject);
