
# react-native-lottery-printer

## Getting started

`$ npm install react-native-lottery-printer --save`

### Mostly automatic installation

`$ react-native link react-native-lottery-printer`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-lottery-printer` and add `RNLotteryPrinter.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNLotteryPrinter.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNLotteryPrinterPackage;` to the imports at the top of the file
  - Add `new RNLotteryPrinterPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-lottery-printer'
  	project(':react-native-lottery-printer').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-lottery-printer/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-lottery-printer')
  	```


## Usage
```javascript
import RNLotteryPrinter from 'react-native-lottery-printer';

// TODO: What to do with the module?
RNLotteryPrinter;
```
  